Skip to content

Adjust brightness/contrast/saturation

POST
/v1/process/adjust

Adjust image brightness, contrast, and/or saturation. At least one parameter is required. Values range from -1 (decrease) to 1 (increase).

This is a free operation — no credits charged.

object
brightness

Brightness adjustment (-1 to 1). Negative = darker, positive = brighter.

null | number
contrast

Contrast adjustment (-1 to 1). Negative = less contrast, positive = more.

null | number
input_image_url
required

HTTPS URL of the image to adjust.

string
saturation

Saturation adjustment (-1 to 1). Negative = desaturate, positive = saturate.

null | number

OK

object
content_type

MIME type of the output image.

string
expires_at

ISO 8601 expiry time of the signed URL.

string
image_url

Signed URL of the processed image. Expires in 1 hour.

string
operation

Processing operation performed.

string

Bad Request

object
details
error
string
message
string
request_id
string

Unauthorized

object
details
error
string
message
string
request_id
string

Payment Required

object
details
error
string
message
string
request_id
string

Forbidden

object
details
error
string
message
string
request_id
string

Not Found

object
details
error
string
message
string
request_id
string

Conflict

object
details
error
string
message
string
request_id
string

Unprocessable Entity

object
details
error
string
message
string
request_id
string

Too Many Requests

object
details
error
string
message
string
request_id
string

Unavailable For Legal Reasons

object
details
error
string
message
string
request_id
string

Internal Server Error

object
details
error
string
message
string
request_id
string

Bad Gateway

object
details
error
string
message
string
request_id
string

Service Unavailable

object
details
error
string
message
string
request_id
string